package com.bsv.persistence.domains;

import javax.persistence.AttributeOverride;
import javax.persistence.AttributeOverrides;
import javax.persistence.Column;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.Table;

import com.bankserv.common.db.BaseEntity;

/**
 * CmoSdrSyncOut entity. @author MyEclipse Persistence Tools
 */
@SuppressWarnings({ "serial", "rawtypes" })
@Entity
@Table(name = "CMO_SDR_SYNC_OUT", schema = "ICMSOWNER")
public class CmoSdrSyncOutDomain extends BaseEntity implements java.io.Serializable {

	// Fields

	private CmoSdrSyncOutId id;

	// Constructors

	/** default constructor */
	public CmoSdrSyncOutDomain() {
	}

	/** full constructor */
	public CmoSdrSyncOutDomain(CmoSdrSyncOutId id) {
		this.id = id;
	}

	// Property accessors
	@EmbeddedId
	@AttributeOverrides({
			@AttributeOverride(name = "recordId", column = @Column(name = "RECORD_ID", length = 2)),
			@AttributeOverride(name = "transSequenceNo", column = @Column(name = "TRANS_SEQUENCE_NO", precision = 0)),
			@AttributeOverride(name = "uniqOrderNo", column = @Column(name = "UNIQ_ORDER_NO", nullable = false, length = 20)),
			@AttributeOverride(name = "service", column = @Column(name = "SERVICE", length = 4)),
			@AttributeOverride(name = "subService", column = @Column(name = "SUB_SERVICE", length = 10)),
			@AttributeOverride(name = "transDate", column = @Column(name = "TRANS_DATE", length = 7)),
			@AttributeOverride(name = "serviceDate", column = @Column(name = "SERVICE_DATE", length = 7)),
			@AttributeOverride(name = "settlementDate", column = @Column(name = "SETTLEMENT_DATE", length = 7)),
			@AttributeOverride(name = "serviceType", column = @Column(name = "SERVICE_TYPE", length = 3)),
			@AttributeOverride(name = "trnxType", column = @Column(name = "TRNX_TYPE", length = 1)),
			@AttributeOverride(name = "transMember", column = @Column(name = "TRANS_MEMBER", precision = 6, scale = 0)),
			@AttributeOverride(name = "transSite", column = @Column(name = "TRANS_SITE", length = 18)),
			@AttributeOverride(name = "citMember", column = @Column(name = "CIT_MEMBER", precision = 6, scale = 0)),
			@AttributeOverride(name = "citSite", column = @Column(name = "CIT_SITE", length = 18)),
			@AttributeOverride(name = "sarbMember", column = @Column(name = "SARB_MEMBER", precision = 6, scale = 0)),
			@AttributeOverride(name = "sarbSite", column = @Column(name = "SARB_SITE", length = 18)),
			@AttributeOverride(name = "hostMember", column = @Column(name = "HOST_MEMBER", precision = 6, scale = 0)),
			@AttributeOverride(name = "hostSite", column = @Column(name = "HOST_SITE", length = 18)),
			@AttributeOverride(name = "costCentre", column = @Column(name = "COST_CENTRE", length = 25)),
			@AttributeOverride(name = "transactionStatus", column = @Column(name = "TRANSACTION_STATUS", nullable = false, length = 1)),
			@AttributeOverride(name = "cancelReason", column = @Column(name = "CANCEL_REASON", length = 25)),
			@AttributeOverride(name = "reasonCode", column = @Column(name = "REASON_CODE", length = 15)),
			@AttributeOverride(name = "bankReference", column = @Column(name = "BANK_REFERENCE", length = 25)),
			@AttributeOverride(name = "samosRrn", column = @Column(name = "SAMOS_RRN", length = 30)),
			@AttributeOverride(name = "denomTypeRequired", column = @Column(name = "DENOM_TYPE_REQUIRED", length = 3)),
			@AttributeOverride(name = "denomIdRequired", column = @Column(name = "DENOM_ID_REQUIRED", length = 4)),
			@AttributeOverride(name = "orderLineValRequired", column = @Column(name = "ORDER_LINE_VAL_REQUIRED", precision = 14, scale = 1)),
			@AttributeOverride(name = "qualityRequired", column = @Column(name = "QUALITY_REQUIRED", precision = 3, scale = 0)),
			@AttributeOverride(name = "sender", column = @Column(name = "SENDER", length = 2)),
			@AttributeOverride(name = "denomTypeConf", column = @Column(name = "DENOM_TYPE_CONF", length = 3)),
			@AttributeOverride(name = "denomIdConf", column = @Column(name = "DENOM_ID_CONF", length = 4)),
			@AttributeOverride(name = "denomLineValConf", column = @Column(name = "DENOM_LINE_VAL_CONF", precision = 14)),
			@AttributeOverride(name = "denomQualityConf", column = @Column(name = "DENOM_QUALITY_CONF", length = 3)),
			@AttributeOverride(name = "bagNumber", column = @Column(name = "BAG_NUMBER", length = 10)),
			@AttributeOverride(name = "sealNumber", column = @Column(name = "SEAL_NUMBER", length = 20)),
			@AttributeOverride(name = "newBagNumber", column = @Column(name = "NEW_BAG_NUMBER", length = 10)),
			@AttributeOverride(name = "newSealNumber", column = @Column(name = "NEW_SEAL_NUMBER", length = 20)),
			@AttributeOverride(name = "insertUpdateInd", column = @Column(name = "INSERT_UPDATE_IND", length = 1)),
			@AttributeOverride(name = "targetSyncDblink", column = @Column(name = "TARGET_SYNC_DBLINK", length = 20)) })
	public CmoSdrSyncOutId getId() {
		return this.id;
	}

	public void setId(CmoSdrSyncOutId id) {
		this.id = id;
	}

}